# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-wokkel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global libname wokkel
Name:           python-module-wokkel
Version:        0.7.1
Release:        alt1_13
Summary:        Enhancements to the Twisted XMPP protocol implementation

Group:          Development/Other
License:        MIT
URL:            http://wokkel.ik.nu
Source0:        http://wokkel.ik.nu/releases/%{version}/%{libname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-module-pkg_resources python-module-setuptools python-module-twisted-conch python-module-twisted-conch-gui python-module-twisted-core python-module-twisted-core-gui python-module-twisted-core-gui-tk python-module-twisted-core-gui-wx python-module-twisted-core-test python-module-twisted-logger python-module-twisted-mail python-module-twisted-names python-module-twisted-news python-module-twisted-pair python-module-twisted-positioning python-module-twisted-runner python-module-twisted-web python-module-twisted-words

%global _description\
Wokkel is collection of enhancements on top of the Twisted networking\
framework, written in Python. It mostly provides a testing ground\
for enhancements to the Jabber/XMPP protocol implementation as found\
in Twisted Words, that are meant to eventually move there.\
\
Currently, Wokkel provides the following enhancements\
on top of Twisted Words:\
\
* A mechanism for easier implementation of XMPP Enhancement Protocols (XEPs)\
  as so-called subprotocols.\
* XMPP Client and server-side component support, that eases development\
  and supports subprotocols.\
* Subprotocol implementations for:\
  o Generic presence, roster and message handling.\
  o Service Discovery (XEP-0030), service side.\
  o Publish-Subscribe (XEP-0060), client and service side.\
  o Software Version (XEP-0092), service side.\
* Data format implementations for:\
  o Data Forms (XEP-0004)\
  o User Tune (XEP-0118)\
  o User Mood (XEP-0107)\

Source44: import.info


%description 

%_description
%prep
%setup -q -n %{libname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

%check
PYTHONPATH=`pwd` %{__python} wokkel/test/test_*.py
 

%files -n python-module-wokkel
%doc LICENSE NEWS README doc/examples
%{python_sitelibdir_noarch}/%{libname}
%{python_sitelibdir_noarch}/%{libname}-%{version}-py*.egg-info
%{python_sitelibdir_noarch}/twisted/plugins/server.py*

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_13
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_11
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_9
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_2
- initial fc import

